Public Attributes | List of all members
dfu_func_t Struct Reference
SYSTEM » Device Firmware Update » Structures

DFU used functions config definition. More...

`#include <gr55xx_dfu.h>`

## Public Attributes
void(* | dfu_ble_send_data )(uint8_t *p_data, uint16_t length)
| The function is used to send data to master by BLE. More...
void(* | dfu_uart_send_data )(uint8_t *p_data, uint16_t length)
| The function is used to send data to master by UART. More...
uint32_t(* | dfu_flash_read )(const uint32_t addr, uint8_t *p_buf, const uint32_t size)
| The function is used to read data from flash. More...
uint32_t(* | dfu_flash_write )(const uint32_t addr, const uint8_t *p_buf, const uint32_t size)
| The function is used to write data to flash. More...
bool(* | dfu_flash_erase )(const uint32_t addr, const uint32_t size)
| The function is used to erase flash by address. More...
bool(* | dfu_flash_erase_chip )(void)
| The function is used to erase flash chip. More...
void(* | dfu_flash_set_security )(bool enable)
| The function is used to set the flash security mode as Enable or Disable. More...
bool(* | dfu_flash_get_security )(void)
| The function is used to get the flash security mode (Enable or Disable). More...
void(* | dfu_flash_get_info )(uint32_t *id, uint32_t *size)
| The function is used to get the flash id and size. More...
uint32_t(* | dfu_flash_feat_enable )(uint32_t feature)

## Detailed Description

DFU used functions config definition.

Definition at line 99 of file gr55xx_dfu.h.

## Member Data Documentation

## ◆ dfu_ble_send_data

void(* dfu_func_t::dfu_ble_send_data) (uint8_t *p_data, uint16_t length)

The function is used to send data to master by BLE.

Definition at line 101 of file gr55xx_dfu.h.

## ◆ dfu_flash_erase

bool(* dfu_func_t::dfu_flash_erase) (const uint32_t addr, const uint32_t size)

The function is used to erase flash by address.

Definition at line 105 of file gr55xx_dfu.h.

## ◆ dfu_flash_erase_chip

bool(* dfu_func_t::dfu_flash_erase_chip) (void)

The function is used to erase flash chip.

Definition at line 106 of file gr55xx_dfu.h.

## ◆ dfu_flash_feat_enable

uint32_t(* dfu_func_t::dfu_flash_feat_enable) (uint32_t feature)

Definition at line 110 of file gr55xx_dfu.h.

## ◆ dfu_flash_get_info

void(* dfu_func_t::dfu_flash_get_info) (uint32_t *id, uint32_t *size)

The function is used to get the flash id and size.

Definition at line 109 of file gr55xx_dfu.h.

## ◆ dfu_flash_get_security

bool(* dfu_func_t::dfu_flash_get_security) (void)

The function is used to get the flash security mode (Enable or Disable).

Definition at line 108 of file gr55xx_dfu.h.

## ◆ dfu_flash_read

uint32_t(* dfu_func_t::dfu_flash_read) (const uint32_t addr, uint8_t *p_buf, const uint32_t size)

The function is used to read data from flash.

Definition at line 103 of file gr55xx_dfu.h.

## ◆ dfu_flash_set_security

void(* dfu_func_t::dfu_flash_set_security) (bool enable)

The function is used to set the flash security mode as Enable or Disable.

Definition at line 107 of file gr55xx_dfu.h.

## ◆ dfu_flash_write

uint32_t(* dfu_func_t::dfu_flash_write) (const uint32_t addr, const uint8_t *p_buf, const uint32_t size)

The function is used to write data to flash.

Definition at line 104 of file gr55xx_dfu.h.

## ◆ dfu_uart_send_data

void(* dfu_func_t::dfu_uart_send_data) (uint8_t *p_data, uint16_t length)

The function is used to send data to master by UART.

Definition at line 102 of file gr55xx_dfu.h.

The documentation for this struct was generated from the following file:

- gr55xx_dfu.h